Bug 735641 - Oops in kernel-3.1.0-0.rc4.git0.0.fc16.i686 while plugging Sony digital camera
Summary: Oops in kernel-3.1.0-0.rc4.git0.0.fc16.i686 while plugging Sony digital camera
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-04 13:33 UTC by Peter Lemenkov
Modified: 2012-04-30 21:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-30 21:12:46 UTC


Attachments (Terms of Use)

Description Peter Lemenkov 2011-09-04 13:33:18 UTC
Here is the stacktrace I've got while plugging this camera (100% reproducible):

[   78.548165] usb 1-4: new high speed USB device number 3 using ehci_hcd
[   78.665151] usb 1-4: New USB device found, idVendor=054c, idProduct=0010
[   78.665158] usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[   78.665163] usb 1-4: Product: Sony DSC
[   78.665167] usb 1-4: Manufacturer: Sony
[   78.839260] Initializing USB Mass Storage driver...
[   78.844596] usb-storage 1-4:1.0: Quirks match for vid 054c pid 0010: 1
[   78.844854] scsi2 : usb-storage 1-4:1.0
[   78.854507] usbcore: registered new interface driver usb-storage
[   78.854515] USB Mass Storage support registered.
[   79.871553] scsi 2:0:0:0: Direct-Access     Sony     Sony DSC         6.00 PQ: 0 ANSI: 0 CCS
[   79.920996] ------------[ cut here ]------------
[   79.921059] WARNING: at lib/dma-debug.c:875 check_for_stack+0x8d/0xbf()
[   79.921064] Hardware name: Aspire 7110
[   79.921068] ehci_hcd 0000:00:1d.7: DMA-API: device driver maps memory fromstack [addr=e839ff08]
[   79.921072] Modules linked in: usb_storage lockd sbs sbshc coretemp arc4 acer_wmi sparse_keymap gspca_m5602 gspca_main videodev media microcode ath5k ath mac80211 joydev tifm_7xx1 tifm_core cfg80211 iTCO_wdt serio_raw rfkill i2c_i801 iTCO_vendor_support snd_hda_codec_si3054 snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device r8169 mii snd_pcm snd_timer sunrpc snd soundcore snd_page_alloc sdhci_pci sdhci mmc_core yenta_socket wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
[   79.921545] Pid: 1177, comm: usb-storage Not tainted 3.1.0-0.rc4.git0.0.fc16.i686 #1
[   79.921549] Call Trace:
[   79.921558]  [<c044056c>] warn_slowpath_common+0x7c/0x91
[   79.921565]  [<c05feb8d>] ? check_for_stack+0x8d/0xbf
[   79.921570]  [<c05feb8d>] ? check_for_stack+0x8d/0xbf
[   79.921576]  [<c044060c>] warn_slowpath_fmt+0x33/0x35
[   79.921582]  [<c05feb8d>] check_for_stack+0x8d/0xbf
[   79.921588]  [<c05fedbd>] debug_dma_map_page+0xee/0x103
[   79.921597]  [<c06ede5d>] dma_map_single_attrs.constprop.7+0x89/0x93
[   79.921604]  [<c06ee0b8>] usb_hcd_map_urb_for_dma+0x251/0x2cc
[   79.921612]  [<c046d1a1>] ? mark_lock+0x26/0x1f2
[   79.921618]  [<c06ee763>] usb_hcd_submit_urb+0x630/0x719
[   79.921624]  [<c046e5fa>] ? mark_held_locks+0x59/0x77
[   79.921630]  [<c046b68d>] ? lock_is_held+0x73/0x7b
[   79.921637]  [<c0475674>] ? rcu_read_lock_held+0x22/0x24
[   79.921642]  [<c04756c3>] ? __module_address+0x4d/0x7c
[   79.921649]  [<c06ef42f>] usb_submit_urb+0x2cc/0x2df
[   79.921655]  [<c046b9f8>] ? lockdep_init_map+0x8b/0xfb
[   79.921661]  [<c05f4f1f>] ? __raw_spin_lock_init+0x2d/0x4e
[   79.921673]  [<f9a68ae7>] usb_stor_msg_common+0x8f/0x100 [usb_storage]
[   79.921683]  [<f9a68ed5>] usb_stor_ctrl_transfer+0x94/0xb7 [usb_storage]
[   79.921692]  [<f9a694bd>] usb_stor_CB_transport+0x52/0x1f2 [usb_storage]
[   79.921701]  [<c06adbde>] ? scsi_eh_prep_cmnd+0xb2/0x14e
[   79.921710]  [<f9a69899>] usb_stor_invoke_transport+0x133/0x32a [usb_storage]
[   79.921716]  [<c046e726>] ? trace_hardirqs_on_caller+0x10e/0x13f
[   79.921726]  [<f9a6a7ae>] ? fill_inquiry_response+0xe9/0xe9 [usb_storage]
[   79.921734]  [<f9a689e8>] usb_stor_pad12_command+0x2e/0x31 [usb_storage]
[   79.921743]  [<f9a6a8cb>] usb_stor_control_thread+0x11d/0x1d6 [usb_storage]
[   79.922079]  [<c08586a7>] ? _raw_spin_unlock_irqrestore+0x44/0x52
[   79.922087]  [<c042d13f>] ? complete+0x47/0x4e
[   79.922097]  [<f9a6a7ae>] ? fill_inquiry_response+0xe9/0xe9 [usb_storage]
[   79.922104]  [<c045a425>] kthread+0x72/0x77
[   79.922111]  [<c045a3b3>] ? __init_kthread_worker+0x4a/0x4a
[   79.922119]  [<c085ef42>] kernel_thread_helper+0x6/0x10
[   79.922123] ---[ end trace 2bcf972d5a2b0b82 ]---
[   79.929887] sd 2:0:0:0: [sdb] 3995648 512-byte logical blocks: (2.04 GB/1.90 GiB)
[   79.932743] sd 2:0:0:0: [sdb] Write Protect is off
[   79.932749] sd 2:0:0:0: [sdb] Mode Sense: 00 00 00 00
[   79.936355] sd 2:0:0:0: [sdb] Asking for cache data failed
[   79.936360] sd 2:0:0:0: [sdb] Assuming drive cache: write through
[   79.944807] sd 2:0:0:0: Attached scsi generic sg2 type 0
[   79.964438] sd 2:0:0:0: [sdb] Asking for cache data failed
[   79.964447] sd 2:0:0:0: [sdb] Assuming drive cache: write through
[   79.968350]  sdb: sdb1
[   79.984228] sd 2:0:0:0: [sdb] Asking for cache data failed
[   79.984236] sd 2:0:0:0: [sdb] Assuming drive cache: write through
[   79.984256] sd 2:0:0:0: [sdb] Attached SCSI removable disk


Fortunately the internal SD card can be accessed after that, but this stacktrace is really annoys me.

Comment 1 Josh Boyer 2011-09-19 14:54:06 UTC
This message should be gone with the -rc6 or newer kernels in f16, but the underlying issue is still there.  I'm moving this to rawhide so the bug doesn't get dropped.

Comment 2 Josh Boyer 2012-02-03 16:41:15 UTC
Peter, could you install this kernel and provide the dmesg output when you plug in your camera?  I'm trying to narrow down where a stack variable is being used in the code so I can provide a proper fix

http://koji.fedoraproject.org/koji/taskinfo?taskID=3759746


Note You need to log in before you can comment on or make changes to this bug.